| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::reaction Struct Reference

Represents a reaction to a dpp::message. More...

`#include <message.h>`

Collaboration diagram for dpp::reaction:
[legend]

## Public Member Functions

| reaction ()
| Constructs a new reaction object.
| reaction (nlohmann::json *j)
| Constructs a new reaction object from a JSON object.
| ~reaction ()=default
| Destructs the reaction object.

## Public Attributes

std::vector< uint32_t > | burst_colors
| HEX colors used for super reaction.
uint32_t | count
| Total number of times this emoji has been used to react (including super reacts).
uint32_t | count_burst
| Count of super reactions.
uint32_t | count_normal
| Count of normal reactions.
snowflake | emoji_id
| ID of emoji for reaction.
std::string | emoji_name
| Name of emoji, if applicable.
bool | me
| Whether your bot reacted using this emoji.
bool | me_burst
| Whether your bot super-reacted using this emoji.

## Detailed Description

Represents a reaction to a dpp::message.

## Constructor & Destructor Documentation

## ◆ reaction() [1/2]

dpp::reaction::reaction | ( |  | ) |

Constructs a new reaction object.

## ◆ reaction() [2/2]

dpp::reaction::reaction | ( | nlohmann::json * | j | ) |

Constructs a new reaction object from a JSON object.

Parameters

  j | The JSON to read data from

## ◆ ~reaction()

dpp::reaction::~reaction | ( |  | ) |

default

Destructs the reaction object.

## Member Data Documentation

## ◆ burst_colors

std::vector<uint32_t> dpp::reaction::burst_colors

HEX colors used for super reaction.

Note
  Stored as integers.

## ◆ count

uint32_t dpp::reaction::count

Total number of times this emoji has been used to react (including super reacts).

## ◆ count_burst

uint32_t dpp::reaction::count_burst

Count of super reactions.

## ◆ count_normal

uint32_t dpp::reaction::count_normal

Count of normal reactions.

## ◆ emoji_id

snowflake dpp::reaction::emoji_id

ID of emoji for reaction.

## ◆ emoji_name

std::string dpp::reaction::emoji_name

Name of emoji, if applicable.

## ◆ me

bool dpp::reaction::me

Whether your bot reacted using this emoji.

## ◆ me_burst

bool dpp::reaction::me_burst

Whether your bot super-reacted using this emoji.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0